HELIX(1)

NAME
helix - efficient command-line modal text-editor

DESCRIPTION
helix-term 25.07.1 Bla?? Hrastnik <blaz@mxxn.io> A post-modern text editor.

  USAGE:

    hx [FLAGS] [files]...

  ARGS:

<files>...
    Set the input file to use, position can also be specified via file[:row[:col]]

  FLAGS:

-h, --help
    Print help information

--tutor
    Load the tutorial

--health [CATEGORY]
    Check for potential errors in editor setup CATEGORY can be a language or one of 'clipboard', 'languages', 'all-languages' or 'all'. 'languages' is filtered according to user config, 'all-languages' and 'all' are not. If not specified, the default is the same as 'all', but with languages filtering.

-g, --grammar {fetch|build}
    Fetch or builds tree-sitter grammars listed in languages.toml

-c, --config <file>
    Specify a file to use for configuration

-v  Increase logging verbosity each use for up to 3 times

--log <file>
    Specify a file to use for logging (default file: /sbuild-nonexistent/.cache/helix/helix.log)

-V, --version
    Print version information

--vsplit
    Split all given files vertically into different windows

--hsplit
    Split all given files horizontally into different windows

-w, --working-dir <path>
    Specify an initial working directory

+[N]
    Open the first given file at line number N, or the last line, if N is not specified.